﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Edit.ascx.cs" Inherits="WillStrohl.Modules.BookmarkCollector.Edit" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnnweb" Assembly="DotNetNuke.Web" Namespace="DotNetNuke.Web.UI.WebControls" %>
<%@ Import Namespace="DotNetNuke.Services.Localization" %>
<div id="wnsEditBookmarkWrapper" class="dnnForm dnnClear">
    <h2 id="dnnPanel-h2Settings" class="dnnFormSectionHead"><a href="" class="dnnLabelExpanded"><%= Localization.GetString("ControlTitle_edit.Text", LocalResourceFile)%></a></h2>
    <fieldset id="fsSettings" class="wns-fieldset">
        <div class="dnnFormItem">
            <dnn:Label id="lblTitle" runat="server" ResourceKey="lblTitle" ControlName="txtTitle" Suffix=":"/>
            <asp:TextBox ID="txtTitle" runat="server" MaxLength="50" CssClass="NormalTextbox dnnFormRequired" ValidationGroup="bookmarks"/>
            <asp:RequiredFieldValidator ID="rfvTitle" runat="server" ControlToValidate="txtTitle" CssClass="dnnFormMessage dnnFormValidationSummary" Display="Dynamic" ValidationGroup="bookmarks" />
        </div>
        <div class="dnnFormItem">
            <dnn:Label id="lblUrl" runat="server" ResourceKey="lblUrl" ControlName="txtUrl" Suffix=":"/>
            <asp:TextBox ID="txtUrl" runat="server" MaxLength="255" CssClass="NormalTextbox dnnFormRequired" ValidationGroup="bookmarks"/>
            <asp:RequiredFieldValidator ID="rfvUrl" runat="server" ControlToValidate="txtUrl" CssClass="dnnFormMessage dnnFormValidationSummary" Display="Dynamic" ValidationGroup="bookmarks" />
            <asp:RegularExpressionValidator ID="revUrl" runat="server" ControlToValidate="txtUrl" CssClass="dnnFormMessage dnnFormValidationSummary" Display="Dynamic" ValidationGroup="bookmarks" ValidationExpression="http(s)?://([\w-]+\.)+[\w-]+(/[\w- ./?%&amp;=]*)?" />
        </div>
    </fieldset>
</div>
<div id="wnsBookmarkCommands" class="dnnForm dnnClear">
    <asp:LinkButton ID="cmdSave" runat="server" CssClass="dnnPrimaryAction" ValidationGroup="bookmarks" /> &nbsp; 
    <asp:LinkButton ID="cmdDelete" runat="server" CssClass="dnnSecondaryAction" CausesValidation="false" /> &nbsp; 
    <asp:LinkButton ID="cmdReturn" runat="server" CssClass="dnnSecondaryAction" CausesValidation="false" /> 
</div>
<script language="javascript" type="text/javascript">/*<![CDATA[*/
    (function ($, Sys) {
        function setupDnnSiteSettings() {
            $('#wnsEditBookmarkWrapper').dnnPanels();

            $('#<%= cmdDelete.ClientID %>').dnnConfirm({
                text: '<%= Localization.GetString("DeleteItem.Text", Localization.SharedResourceFile) %>',
                yesText: '<%= Localization.GetString("Yes.Text", Localization.SharedResourceFile) %>',
                noText: '<%= Localization.GetString("No.Text", Localization.SharedResourceFile) %>',
                title: '<%= Localization.GetString("Confirm.Text", Localization.SharedResourceFile) %>'
            });
        }

        $(document).ready(function () {
            setupDnnSiteSettings();
            Sys.WebForms.PageRequestManager.getInstance().add_endRequest(function () {
                setupDnnSiteSettings();
            });
        });

    }(jQuery, window.Sys));
/*]]>*/</script>